Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Update a price item

Set or update the price override for a variant in this price list.

PUT/price_lists/{price_list_id}/items/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
price_list_idintegerrequired
idintegerrequired

The variant ID. Passing a variant ID that has no price override in this price list returns 404.

Request body
requiredapplication/json
priceinteger

In cents

Responses
200

Price item updated

idinteger
variant_idinteger
product_idinteger
namestring
skustring
priceinteger

In cents

price_comparisoninteger
retail_priceinteger

Original (non-price-list) price, in cents

cart_quantity_multipleinteger
visibleboolean
created_onstring<date-time>
updated_onstring<date-time>
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v2/price_lists/10/items/201' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "price": 3499
}'
Response
{
  "id": 0,
  "variant_id": 0,
  "product_id": 0,
  "name": "string",
  "sku": "string",
  "price": 0,
  "price_comparison": 0,
  "retail_price": 0,
  "cart_quantity_multiple": 0,
  "visible": true,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?